[MCOL-2016] Error msg should be corrected for NUMBER_BACKUPS variable Created: 2018-12-11  Updated: 2022-11-05  Resolved: 2022-11-05

Status: Closed
Project: MariaDB ColumnStore
Component/s: N/A
Affects Version/s: 1.2.2
Fix Version/s: Icebox

Type: Bug Priority: Major
Reporter: Nilnandan Joshi Assignee: Unassigned
Resolution: Won't Do Votes: 0
Labels: None

Epic Link: Consolidate & Redevelop All Columnstore Tools (SDK, Adapters, Backup, Restore, mcsimport)

 Description   

if ! [[ $NUMBER_BACKUPS =~ $REcheck ]] ; then
echo "ERROR: NUMBER_BACKUPS not a number" >&2; exit 1
fi
if [ $NUMBER_BACKUPS -lt 0 ] || [ $NUMBER_BACKUPS -gt 20 ]; then
echo "ERROR: NUMBER_BACKUPS must be an integer between 1 and 100 (value: $NUMBER_BACKUPS)" >&2
exit 1
fi

msg should be like

""ERROR: NUMBER_BACKUPS must be an integer between 1 and 20"



 Comments   
Comment by Todd Stoffel (Inactive) [ 2022-11-05 ]

Item is out of date. Closing due to inactivity. If you feel this was done in error please open a new ticket.

Generated at Thu Feb 08 02:33:05 UTC 2024 using Jira 8.20.16#820016-sha1:9d11dbea5f4be3d4cc21f03a88dd11d8c8687422.